### Method

# Gck Object set

#### Declaration [src]

    gboolean
    gck_object_set (
      GckObject* self,
      GckAttributes* attrs,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Set PKCS#11 attributes on an object. This call may block for an indefinite period.

#### Parameters

`attrs` | `GckAttributes`
| The attributes to set on the object.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional cancellable object, or `NULL` to ignore.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether the call was successful or not.